{% extends "scandb_base.html" %}

{% load i18n %}
{% load static %}

{% block title %}
{% blocktrans with vendor_name=selected_manufacturer.name %}
Scanner Vendor {{ vendor_name }}
{% endblocktrans %}
{% endblock %}


{% block scandb_body %}

{% if user.is_authenticated %}
<p><a href="{% url "admin:backend_scannermanufacturer_change" selected_manufacturer.id %}">[admin]</a></p>
{% endif %}

{% blocktrans %}
<h2>Statistics</h2>
{% endblocktrans %}

{% blocktrans %}
<h3>Success rates</h3>
{% endblocktrans %}

<table>
	<tr>
		{% for s in stats.global %}
		<th>{{ s.os.title }}</th>
		{% endfor %}
	</tr>
	<tr>
		{% for s in stats.global %}
		{% if s.percent is None %}
		<td></td>
		{% elif s.percent == 0 %}
		<td style="color: red;">{{ s.percent }}%</td>
		{% elif s.percent == 100 %}
		<td style="color: green;">{{ s.percent }}%</td>
		{% else %}
		<td>{{ s.percent }}%</td>
		{% endif %}
		{% endfor %}
	</tr>
</table>

{% blocktrans %}
<h3>Success of latest reports per scanner</h3>
{% endblocktrans %}

<table>
	<tr>
		<th>{% trans "Scanner" %}</th>
		{% for o in stats.oses %}
		<th>{{ o.title }}</th>
		{% endfor %}
	</tr>
	{% for s in stats.per_scanner %}
	<tr>
		<td>
			<a href="{% url 'scannerdb:scanner' s.scanner.id %}">
			{{ s.scanner.name.title }}
			</a>
		</td>
		{% for p in s.successes %}
		{% if p.success is None %}
		<td></td>
		{% elif p.success %}
		<td style="color: green;">{% trans "Success" %}</td>
		{% else %}
		<td style="color: red;">{% trans "Failure" %}</td>
		{% endif %}
		{% endfor %}
	</tr>
	{% endfor %}
</table>

{% endblock %}
